#include <bits/stdc++.h>

using namespace std;

#define pii pair<int,int>
#define ll long long
#define s second
#define f first

const int MAX_N = 2 * 10e5 + 5;
int n;
double ans = -1, sum;
pair<double, double> a[MAX_N];


bool cmp(pair<double, double> a, pair<double, double> b){
  return a.s > b.s;
}

double val(int x){
  double sum = 0;
  for(int i = 0; (i <= x); ++i){
    sum += a[i].f * a[x].s / 100;
  }
  return sum;
}

double bs(){
  int l = 0, h = n - 1, mid;
  while(l < h){
    mid = (l + h) / 2;
    if(val(mid) >= val(l)){l = mid;}
    else{h = mid;}
  }
  return val(l);
}

int main(){
  cin >> n;
  for(int i = 0; i < n; ++i){
    cin >> a[i].f >> a[i].s;
  }
  sort(a, a + n, cmp);
  for(int i = 0; i < n; ++i){
    sum += a[i].f;
    ans = max(ans, sum * a[i].s / 100);
  }
  cout << fixed << setprecision(10) << ans;
  return 0;
}